@media (max-width: 1450px) {
  /* Footer */
  footer {
    font-size: var(--font-size-xxxs);
  }

  .museum-info {
    width: 350px;
    gap: 20px;
  }

  .museum-text {
    font-size: var(--font-size-base);
  }

  .museum-info address {
    width: 300px;
  }

  /* Fight side of footer */
  #newsletter-heading {
    font-size: var(--font-size-ms);
  }

  .newsletter-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-end;
  }

  .newsletter-form button {
    width: fit-content;
  }

  footer input {
    width: 250px;
  }

  .social-media-icons {
    font-size: var(--font-size-ms);
  }
}

@media (max-width: 1300px) {
  .navigation-wrapper,
  .footer-wrapper {
    width: var(--smaller-screen-width);
    max-width: 1000px;
  }

  /* Header */

  nav ul {
    gap: 30px;
    font-size: var(--font-size-xxxxs);
  }

  .search-input {
    right: 135px;
  }

  /* Footer */
  footer {
    padding: 50px 0;
  }
}

@media (max-width: 830px) {
  /* Displays */
  .header-icons,
  .logo {
    display: none;
  }

  .nav-links,
  .logo-mobile,
  .hamburger-icon,
  .icon-mobile {
    display: block;
  }

  /* Mobile menu */
  #menu-checkbox:checked ~ .navigation {
    transform: translateX(0);
  }

  .menu {
    display: flex;
    justify-content: space-between;
    padding: 15px 30px;
    box-shadow: 0 4px 23px 0 var(--shadow-color);
    background-color: var(--primary-light);
  }

  .navigation {
    background: linear-gradient(
      1deg,
      var(--primary-color) 20%,
      var(--secondary-color) 100%
    );
    position: absolute;
    display: flex;
    align-items: flex-start;
    top: 0;
    left: 0;
    height: 100vh;
    padding: 80px 30px 10px 30px;
    z-index: 9;
    transition: transform 0.3s ease-in-out;
    transform: translateX(-100%);
  }

  .navigation-wrapper {
    margin: 0;
    width: var(--scalable-width);
  }

  /* Hamburger menu */
  .hamburger-icon {
    position: relative;
    z-index: 10;
    font-size: 33px;
  }

  /* Nav links */
  .nav-links li {
    margin-bottom: 40px;
    font-size: var(--font-size-xxs);
  }

  .nav-links a {
    color: var(--primary-light);
  }

  .current {
    color: var(--accent-color) !important;
  }

  /* Logo mobile */
  .logo-mobile {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    height: auto;
  }

  .logo-mobile img {
    width: 40px;
    height: auto;
  }

  /* Mobile icons */
  .fa-magnifying-glass {
    font-size: var(--font-size-ms);
  }

  .fa-ticket {
    font-size: var(--font-size-md);
  }

  .icon-mobile-section {
    display: flex;
    align-items: center;
    gap: 10px;
    position: relative;
  }

  .icon-mobile-section > * {
    color: var(--primary-color);
  }
}

@media (max-width: 670px) {
  /* Footer */
  footer {
    padding: 0;
  }

  .footer-wrapper {
    flex-direction: column;
    width: var(--scalable-width);
    padding: 50px 0;
    align-items: center;
    gap: 50px;
    font-size: var(--font-size-xxs);
  }

  /* Left side of footer */
  .museum-text {
    font-size: var(--font-size-base);
    width: var(--scalable-width);
  }

  .museum-info address {
    width: var(--scalable-width);
  }

  .museum-info,
  .newsletter-section {
    width: var(--scalable-width);
    width: var(--mobile-screen-width);
    max-width: 500px;
  }

  /* Right side of footer */
  .newsletter-section {
    text-align: left;
    align-items: center;
    gap: 60px;
    width: 90%;
  }

  #newsletter-heading {
    width: 300px;
    text-align: center;
  }

  .newsletter-form {
    align-items: center;
  }
}
